import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function list(query) {
  return request({
    url: '/core/checkplan/list',
    method: 'post',
    data: query
  })
}

// 查询【请填写功能名称】详细
export function itemfind(id) {
  return request({
    url: '/core/api/plan/item/find' + id,
    method: 'get'
  })
}
// 查询【请填写功能名称】详细
export function distribute(query) {
  return request({
    url: '/core/api/plan/distribute' ,
    method: 'post',
    data: query
  })
}
export function getPointIds(id) {
  return request({
    url: '/core/api/plan/getPointIds/' + id,
    method: 'get'
  })
}
// 查询【请填写功能名称】详细
export function get(id) {
  return request({
    url: '/core/checkplan/' + id,
    method: 'get'
  })
}
// 修改【请填写功能名称】
export function update(data) {
  return request({
    url: '/core/checkplan',
    method: 'put',
    data: data
  })
}
// 新增【请填写功能名称】
export function add(data) {
  return request({
    url: '/core/checkplan',
    method: 'post',
    data: data
  })
}

// 删除【请填写功能名称】
export function delelte(id) {
  return request({
    url: '/core/checkplan/' + id,
    method: 'delete'
  })
}
